From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 26 Apr 2022 11:54:54 +0200
Subject: Use functions.singledispatch


Debian-Bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933689
The Python module python3-singledispatch is obsolete, and even broken
since Python3.10
---
 graphene_sqlalchemy/converter.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/graphene_sqlalchemy/converter.py b/graphene_sqlalchemy/converter.py
index 7cc259e..9d561d9 100644
--- a/graphene_sqlalchemy/converter.py
+++ b/graphene_sqlalchemy/converter.py
@@ -1,4 +1,5 @@
-from singledispatch import singledispatch
+from functools import singledispatch
+
 from sqlalchemy import types
 from sqlalchemy.dialects import postgresql
 from sqlalchemy.orm import interfaces
